using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace FingersDance.Data
{
    public class Cutting
    {
        private String _id;
        private List<Annotation> _annotList;
        private String _title;
        private Color _color;

        public Cutting(String idPar, String titlePar, List<Annotation> annotListPar, Color col)
        {
            this._id = idPar;
            this._title = titlePar;
            this._annotList = annotListPar;
            this._color = col;
        }
        public Cutting(String idPar, String titlePar, List<Annotation> annotListPar)
        {
            this._id = idPar;
            this._title = titlePar;
            this._annotList = annotListPar;
        }
        public Cutting()
        {}

        public String Id
        {
            get { return _id; }
            set
            {
                if (value == _id || String.IsNullOrEmpty(value))
                    return;
                _id = value;
            }
        }
        public String Title
        {
            get { return _title; }
            set
            {
                if (value == _title || String.IsNullOrEmpty(value))
                    return;
                _title = value;
            }
        }
        public List<Annotation> AnnotList
        {
            get { return _annotList; }
            set
            {
                _annotList = value;
            }
        }
        public Color Color
        {
            get { return _color; }
            set
            {
                if (value == _color)
                    return;
                _color = value;
            }
        }

    }
}
